AutoCAD LT :: Fillet Round Angle - Lines Are Non Coplanar
May 30, 2012
I want to "Fillet" a round angle. If I set the radius and then click the 2 lines then Autocad comes with the message: "Lines are non Coplanar" This problem just started in a drawing i was working in ( 50% were already done by Fillet perfectly ) , I draw only 2D.
I am working on someone else's file, using CAD2010..For many lines, Chamfer & Fillet commands do not work, "lines are non coplanar "..In the Properties, all Z = 0
I am getting the lines are not coplanar when working off of a surveyor's drawings which is testing my patience. I am using LT so I do not believe I have access to LISP. How to use the FLATTEN command which must not be a function for LT because it is unrecognized.
I've been having a drawing problem at work lately on Autocad 2007. Some lines I draw cannot be filled so I have to trim them instead. The reason why is that these lines are not coplanar. I've also noticed that the Z coordinate is not 0 and have checked on the 3d View that lines are awfully not in the same plan. Does it have to do with the X-line?
Is there any way to place a full round or bullnose feature on the end of a cylinder without having to use any formulas or pay attention to dimensions similar to the three face selection of the full round fillet option?
Obviously you can take the diameter/2, but the three face selection of the full round fillet is quite simple, and if you didn't originally plan on having the full round it takes extra digging to come up with the right parameter to use.
In both model and paper space, rectangles with corners filleted look fine. However, the filleted curved corners are not joined with straight lines once it's exported/plotted to PDF. I have to zoom in very closely to see this, so it won't be a big problem for actual printing. But I can't figure out why the lines are broken on PDF when they are well joined in both model and paper space.
I tried changing PDF quality, plot style, and anything I can think of, but to no avail.
i am doing a simple project making a survey plot for a piece of land that will be broken into subdivision. all measurements are of my starting point. after plotting the starting point i try to draw line that is 113 feet long and at a bearing of N 5d W i have no problem entering this data but when i hit enter it draws a straight line. now i know 5 degrees is much of an angle so i thought maybe it just looked straight and tried to plot the next point which was 542 feet from the last point at a bearing of N 39d E but once again after i put the info in and hit enter or space it would plot a line of the proper length but vertical, not the proper angle i need it at. here is how i would put in the info:
first i choose the lne command and choose my "beginning point" as that starting point for my line then i type 113<N 5d W for the length and direction and hit enter. when i do this it plots a vertical line of the proper length but wrong angle. what am i doing wrong? i have ortho set to off and idk what else to mess with
I have searched the discussion groep and have not came up with any usefull information.
I have an inside web plate sketch that i want to offset but my offset does only do one line at a time.
So my problem basicly is that I want it to do the whole sketch in one click. Is it possible to join all the lines? or is there another function that I do not know of that will do this for me.
Attached is photos of the problem I have
1 picture - How do I join these lines
2 picture - How the whole sketch looks
3 picture - The offset does only do one line at a time (i want it to do the whole sketch)
I create a feature line including some arcs. While editing I need to redimension the feature line, but the arcs will lose tangency. Therefore I have to break/ trim/delete/manually edit the tangents until they intersect and then FILLET them to get a new arc. I tried EDIT CURVE with 0 Radius but it's not acceptable. Any workaround on this one (filleting feature lines like polylines or a closing option)?
I am attempting to fillet plines to make rounded curbs at street intersections. Whenever I create the fillet, the 2 plines that were filleted remain as they were before the fillet.
This only happens on my computer and only in AutoCAD 2011, it works fine in Civil3D 2011. We only have a limited number of Civil3D licenses or I would just use that all the time.
The attached screenshot shows an example of what happens. The 2 red lines are what were filletted (the fillet is in white). Both lines are long enough to accomodate the radius of the fillet.
I generate 3 points, two lines between point 1,2 and 2,3 and make a bend between the two lines. Cannot do it correctly.
On one side the fillet is not trimmed correctly. I think it is a bug in Inventor. Also when I have the sketch I manually cannot make a decent bend/fillet in the 3D sketch I created.
Private Sub Button1_Click(sender As Object, e As EventArgs) Handles Button1.Click 'add 3d sketchpoints in open partdoc Dim oPartDoc As PartDocument Dim oPartDef As PartComponentDefinition Dim oTG As TransientGeometry oTG = _invApp.TransientGeometry oPartDoc = _invApp.ActiveDocument oPartDef = oPartDoc.ComponentDefinition Dim oSketch As Sketch3D oSketch = oPartDef.Sketches3D.Add() Dim sp1(2) As SketchPoint3D Dim rod(1) As SketchLine3D sp1(0) = oSketch.SketchPoints3D.Add(oTG.CreatePoint(0, 0, 10)) sp1(1) = oSketch.SketchPoints3D.Add(oTG.CreatePoint(0, 0, 0)) sp1(2) = oSketch.SketchPoints3D.Add(oTG.CreatePoint(10, 0, 0)) rod(0) = oSketch.SketchLines3D().AddByTwoPoints(sp1(0).Geometry, sp1(1).Geometry) rod(1) = oSketch.SketchLines3D().AddByTwoPoints(sp1(1).Geometry, sp1(2).Geometry) 'bending it oSketch.SketchArcs3D.AddAsBend(rod(0), rod(1), 2.5) End Sub
The resulting part-file is added, for who wants to try to get a bend with both sides trimmed correctly.
1) A good explanation of Vector3d. I have been unable to find a good explanation in the ARX documentation or on the online .Net developers guide.
2) Need getting the angle between two lines. The lines in question are in an orientaion similar to the greater than operator ( > ). I have attempted to use the Vector3d.GetAngleTo method to get the angle, but I do not understand it enough to be successful!
Several people recommended DIMANGULAR. I have some concerns using this method because it is dependent on the precision of angular units in the drawings DIMSTYLE settings. For example, if a drawing file's DIMSTYLE has a precision set to the nearest whole decimal degree or only shows degrees and minutes but not seconds then the angle may appear at a certain angle, let's say perpendicular at 90 degrees. But in reality the angle might be slightly less than 90 degrees, if its off by a few seconds.
I learned an alternative way by selecting both lines and typing the LIST command. The Angle in XY Plane will show the measurement for each segment in bearings, not azimuths. I simply find the difference between the Angles in XY Planes for both lines to determine the angle. I have a few concerns with this method.
1. How do you add subtract bearings measured in degrees, minutes, and seconds? For example, N 76d3'18" W and N 13d56'42"E? I "think" there are websites that can do this? Can this be done directly in AutoCAD through QuickCalc or some other tool?
2. Lines, but not polylines, have Angles in XY Planes in the LIST command. Is this because AutoCAD assumes that polylines will be composed of more than one segment (and each segment with a possible different angle)? Is there anyway to measure the angle of a single one-segment polyline?
Is there a DIFFERENT way between the two methods I just described to measure the angle between two lines (and two polylines) in AutoCAD?
I'm really new to AutoCAD and I'm basically trying to learn it by drawing simple things. My question is this: how do I change the angle that is between two meeting lines?
I wish to determine the angle between two lines (that meet). I know how to do this manually, although does AutoCAD have a built in command similar the DI command maybe, or a LISP?
I am trying out this option, and am noticing that whenever I close and reopen the drawing with a surface that uses this option, it resets my maximum angle from whatever I have it set to, to 90 degrees. Am I missing some setting that defaults the max angle to 90 degrees on drawing open? Or is something else going on here?
i know DIMANGULAR command will let me draw a dimension to display the angle between two lines, but is there a way for my commandbar to show me what the angle is rather than draw a dimension?
I often want to simply know the angle but not display it in the drawing, and it'd be good if there was a command/lisp which showed me in the command line area, or perhaps a pop up window, similar to what the TLEN lisp does here: URL....
I did use to round selection tool to create a circle. Then, I strike with or a fuzzy 1-3 pixels brush and look at the shi.... result a I get. My straight diagonal lijes look just great but the circles are just awful.What can be done to have the circles with lines as clean as the straight ones?
I have about 30 profiles with water pipe lines that I need to measure all their vertical angles. since the vetical scale is exaggerated so I can't use the acad angular icon tool bar. Only thing I cant think of is to block each run then import them back in at 1/10 in y direction. How to get this done faster or more direct by any other methods.
I am drawing a diagram to describe a mathematical word problem. Since it is easier to visualize with a drawing, I want to draw it using the given dimensions. But angles used in the diagram are unknown and are not needed for the answer to be calculated, so the only way to draw this freehand is to guess at the angle resulting in the correct distances to be off.
Here is the word problem: There are two ladders, one 40 feet and the other 30 feet, each touching the base of one of two buildings and leaning against the other building. If the ladders cross 10 feet above the ground, how far apart are the buildings?
So for my drawing, being rather simple considering what AutoCAD can do, results in this:
Can AutoCAD calculate the angle needed to place a line of a given length between two parallel lines that are a distance apart less than the length of the line to place between them, having the endpoints of this line touching the parallel lines, fitting exactly?
For the word problem, the distance between the two parallel lines is what needs to be solved and the math is quite invloved, having to find the roots or solution of a quartic equation. (I have the solution figured out to be 26.03287754 feet)
What I am afraid of is that this would require to program an AutoLISP routine to create a new command that one can call from the command line. I see it using the the measure command with relative and absolute co-ordinates. This may be far from a "beginner" question. I can do this quite easily on a peice of paper: having two parallel lines drawn, take a ruler and placing the "0" mark on one line, then adjusting the angle until the desired length just reaches the opposite parallel line. I used to use this trick quite often when drafting with pencil and paper to divide a distance into a required number of even amounts, so this can't be that difficult to do with AutoCAD!
We just upgraded to 2013, and one computer is having a weird issue. There is nothing in the drawing. He draws two polylines. When he goes to fillet them, it says they are non-coplanar. The properties palette says both polylines are elevation 0. why this is happening and how I can fix it?
I have recently received a drawing in which I found that there are several blocks and plines which are not coplanar the lines and other objects in the drawing. Now, I know that there is the flatten command to use when this stuff happens.. It works fine for 2d simple lines but when it comes to plines and other objects its a bit too cumbersome, and I even tried exploding everything and flattening everything but not even that worked to my likings.
How to go about creating a surface, region or 3D object using non-coplanar points? I'm drawing a few different 3D models for an artist friend of mine to use in her proposal on a local public art project.
However for this version I am bottlenecking on how to create these regions. I have vertical(ish) beams of varying height twisting in different directions with sheets of alternating metals welded in-between, the bottoms line up straight with the tops following an S curve but with the twisting geometry the top two endpoints for each will always be in separate planes.
I use it to measure angles of micrographs (images taken with a microscope) --- the angle measure tool is great, and easy to use! I would like to be able to save the angle measure "rulers" into the image, for documentation purposes. Is there a way to incorporate the angle "ruler" in a layer or overlay in the image so that I can save a new file with the ruler "burned in" (for lack of a better term).
I will also be adding the text of the resulting angle measurement --- it would be cool if the result of the angle measure could be automatically added as text to the image (preferably in a different layer than the original image). I can type it the result with the text tool.
I'm trying to match the style of an illustration done by someone outside my company; all the lines taper at both the ends like an actual brush stroke, but when I used the brush tools I have to change the angle to get the tapered look - is there a trick to this? It's not efficient to have to stop and change the angle of the tool for every stroke -